.fos {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2000;
    transition: visibility .3s, opacity .3s;
    visibility: hidden;
    opacity: 0;
    display: flex;
    justify-content: center;
    font-size: calc(1rem * 18 / 10);
}

.fos-body {
    pointer-events: none;
    position: relative;
    z-index: 2;
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%
}

.fos-fb-cont {
    pointer-events: visible;
    max-width: calc(100% - 1rem * 2);
    width: calc(1rem * 500 / 10);
    position: relative;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
    padding: calc(1rem * 40 / 10);
}

.ffc_krest {
    cursor: pointer;
    position: absolute;
    top: calc(1rem * 16 / 10);
    right: calc(1rem * 16 / 10);
    width: calc(1rem * 32 / 10);
    height: calc(1rem * 32 / 10);
    transition: opacity .3s
}

.ffc_krest svg {
    width: 100%;
    height: 100%
}

.inn_fos-body {
    width: 100%;
    max-height: 100%;
    overflow-y: auto;
    padding: calc(1rem * 40 / 10) 0;
}

.fos-bg {
    background-color: rgba(0, 0, 0, .6);
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1
}

.ffc_infos {
    margin-top: calc(1rem * 24 / 10)
}

.fos .heading {
    font-size: calc(1rem * 24 / 10);
    text-align: center;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 500
}

.fos input[type=email],
.fos input[type=text],
.fos textarea {
    border: .1rem solid #0000;
    transition: border-color .3s;
    padding: 0 calc(1rem * 12 / 10);
    background-color: #ececec;
    width: 100%;
    height: 100%
}

.fos textarea {
    resize: none;
    padding: calc(1rem * 9 / 10) calc(1rem * 12 / 10)
}

.fos input[type=email].is-invalid,
.fos input[type=text].is-invalid,
.fos textarea.is-invalid {
    border-color: red
}

.ffci_polic {
    display: flex;
    align-items: flex-start;
    gap: calc(1rem * 12 / 10);
    margin-top: calc(1rem * 40 / 10)
}

.ffci_polic_chbx {
    cursor: pointer;
    width: calc(1rem * 20 / 10);
    min-width: calc(1rem * 20 / 10)
}

.ffci_polic_chbx svg {
    width: 100%;
    height: 100%
}

.ffci_polic_chbx input {
    display: none
}

.ffci_polic_text {
    line-height: 150%;
    color: #888;
    font-size: calc(1rem * 14 / 10)
}

.ffci_polic_chbx input:checked + svg {
    --stroke: #000
}

.ffci_polic_chbx input.is-invalid + svg {
    --rect-stroke: #f00
}

@media (min-width: 700px) {
    .ffc_krest:hover {
        opacity: .7
    }
}

@media (max-width: 699px) {
    .fos {
        font-size: 16px;
    }

    .fos-fb-cont {
        max-width: 440px;
        width: calc(100% - 8px * 2) !important;
        padding: 32px 16px;
    }

    .ffc_krest {
        top: 12px;
        right: 12px;
        width: 24px;
        height: 24px;
    }


    .inn_fos-body {
        padding: 40px 0;
    }

    .ffc_infos {
        margin-top: 24px;
    }

    .fos .heading {
        font-size: 24px;
    }

    .fos input[type=email],
    .fos input[type=text],
    .fos textarea {
        border: 1px solid #0000;
        padding: 0 12px;
    }

    .fos textarea {
        padding: 9px 12px
    }


    .ffci_polic {
        gap: 12px;
        margin-top: 40px;
    }

    .ffci_polic_chbx {
        width: 20px;
        min-width: 20px;
    }

    .ffci_polic_text {
        font-size: 14px
    }
}